#!/bin/sh
#WASROOT=/opt/IBM/WebSphere/UpdateInstaller
WAS_HOME="/opt/michel/UpdateInstaller"

#START REPLACING ${NUMBER}
numberFile=${WAS_HOME}/properties/version/nif/config/linuxMenu/productShortCut2StartMenuUPDI.txt
echo $numberFile
exec 3<$numberFile
read -u3 num
num=${num#number=}
read -u3 user
user=${user#user=}
exec 3<&-

if [ $user == "" ]
then
  echo "Problem determining install location"
  exit 1
fi

startMenuLocation1=/etc/xdg
if [ ! -e ${startMenuLocation1} ]
then
	mkdir ${startMenuLocation1}
fi

startMenuLocation2=/etc/xdg/menus
if [ ! -e ${startMenuLocation2} ]
then
	mkdir ${startMenuLocation2}
fi

startMenuLocation=/etc/xdg/menus/applications-merged

if [ ! -e ${startMenuLocation} ]
then
	mkdir ${startMenuLocation}
fi

if [ ! -w ${startMenuLocation} ]
then
  echo "You must have access to ${startMenuLocation} to run this program"
  exit 1
fi

if [ ${num} == "0" ]
then
  numString=
else
  numString=${num}
fi

if test -f ${startMenuLocation}/WebSphereUpdateInstall${numString}.menu
then
  echo "A file by the name of WebSphereUpdateInstall${numString}.menu already exists in ${startMenuLocation}"
  echo "Another instance of WebSphere Update Installer must have been installed prior to completing this install."
else
  cp -f ${WAS_HOME}/properties/version/nif/config/linuxMenu/menus/WebSphereUpdateInstall.menu ${startMenuLocation}/WebSphereUpdateInstall${numString}.menu
fi
