#!/bin/sh
#WASROOT=/opt/IBM/WebSphere/UpdateInstaller
WAS_HOME="/opt/michel/UpdateInstaller"
linuxMenuDirectory=${WAS_HOME}/properties/version/nif/config/linuxMenu

numberFile=${linuxMenuDirectory}/productShortCut2StartMenuUPDI.txt
echo $numberFile
exec 3<$numberFile
read -u3 num
num=${num#number=}
read -u3 user
user=${user#user=}
exec 3<&-

#START REPLACING ${NUMBER}
startMenuLocation=/etc/xdg/menus/applications-merged

if [ ! -w ${startMenuLocation} ]
then
  echo "You must have access to ${startMenuLocation} to run this program"
  exit 1
fi

if [ ${num} == "0" ]
then
  numString=
else
  numString=${num}
fi


cmp -s ${startMenuLocation}/WebSphereUpdateInstall${numString}.menu ${linuxMenuDirectory}/menus/UpdateInstaller.menu

if [ $? -eq 0 ]
then
  rm -f ${startMenuLocation}/WebSphereUpdateInstall${numString}.menu
else
  echo "The file, WebSphereUpdateInstall${numString}.menu, in ${startMenuLocation} does not match the one in ${linuxMenuDirectory}/menus.  If another installation of WebSphere Application Server was performed, please leave this file here.  If this is a mistake, please manually delete the file in /etc/xdg/menus/applications-merged."
fi